# Uses of Interface
org.eclipse.birt.report.engine.content.IListBandContent

Packages that use IListBandContent
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.

## Uses of IListBandContent in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return IListBandContent
Modifier and Type
Method
Description
`IListBandContent`
IReportContent.`createListBandContent()`
Create the list band content
`IListBandContent`
IListContent.`getHeader()`
Get the header of the list.
Methods in org.eclipse.birt.report.engine.content with parameters of type IListBandContent
Modifier and Type
Method
Description
`Object`
IContentVisitor.`visitListBand(IListBandContent listBand, Object value)`
visit list band content

## Uses of IListBandContent in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter with parameters of type IListBandContent
Modifier and Type
Method
Description
`void`
IContentEmitter.`endListBand(IListBandContent listBand)`
End list band
`void`
IContentEmitter.`startListBand(IListBandContent listBand)`
Start list band